cURL
curl --request GET \ --url https://api.devin.ai/v3/organizations/{org_id}/sessions \ --header 'Authorization: Bearer <token>'
{ "items": [ { "acus_consumed": 123, "created_at": 123, "org_id": "<string>", "origin": "webapp", "pull_requests": [ { "pr_state": "<string>", "pr_url": "<string>" } ], "session_id": "<string>", "status": "new", "tags": [ "<string>" ], "updated_at": 123, "url": "<string>", "category": "bug_fixing", "child_session_ids": [ "<string>" ], "is_archived": false, "parent_session_id": "<string>", "playbook_id": "<string>", "service_user_id": "<string>", "status_detail": "working", "structured_output": {}, "subcategory": "<string>", "title": "<string>", "user_id": "<string>" } ], "end_cursor": "<string>", "has_next_page": false, "total": 123 }
列出会话
Documentation IndexFetch the complete documentation index at: https://docs.devin.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
Use this file to discover all available pages before exploring further.
ViewOrgSessions
服务用户凭据(前缀:cog_)
组织 ID(前缀:org-)
"org-abc123def456"
Show child attributes
成功响应
用于获取下一页的游标;如果已经是最后一页,则为 None。
当前页之后是否还有更多可用条目。
可选的总计数(可为提升性能而省略)。